Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Upload a theme asset

Uploads a new file asset (image, font, stylesheet, etc.) to the theme. Send the file as a multipart/form-data upload.

POST/themes/{theme_id}/assets
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
theme_idstringrequired

Theme ID

Request body
requiredmultipart/form-data
filestring<binary>required

File to upload

Responses
201

Asset uploaded

_linksHalLinks
idstring
file_namestring
content_typestring
file_sizeinteger
digeststring
urlstring

CDN URL for this asset

updated_onstring<date-time>
401

Unauthorized

403

Access denied

422

Validation error

Try it
Server
Authorization
Parameters
Bodymultipart/form-data
Request
curl -X POST 'https://api.onbolder.com/v2/themes/abc123/assets' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  --form-string 'file=string'
Response
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": "string",
  "file_name": "logo.png",
  "content_type": "image/png",
  "file_size": 0,
  "digest": "string",
  "url": "string",
  "updated_on": "2019-08-24T14:15:22Z"
}

Was this page helpful?